<!--
  ~   Copyright 2020 The Android Open Source Project
  ~
  ~   Licensed under the Apache License, Version 2.0 (the "License");
  ~   you may not use this file except in compliance with the License.
  ~   You may obtain a copy of the License at
  ~
  ~        http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~   Unless required by applicable law or agreed to in writing, software
  ~   distributed under the License is distributed on an "AS IS" BASIS,
  ~   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~   See the License for the specific language governing permissions and
  ~   limitations under the License.
  ~
  -->
<resources>
    <!-- Base application theme. -->
    <style name="Theme.Jetsurvey" parent="Theme.MaterialComponents.Light.NoActionBar">
        <item name="android:statusBarColor">@color/status_bar_color</item>
        <item name="android:navigationBarColor">@android:color/transparent</item>
        <item name="android:windowBackground">?attr/colorSurface</item>
        <item name="android:dialogTheme">@style/AppTheme.Dialog</item>
    </style>


    <style name="AppTheme.Dialog" parent="Theme.AppCompat.Light.Dialog.Alert">
        <item name="colorPrimary">@color/blue</item>
        <item name="buttonBarNegativeButtonStyle">@style/NegativeButtonStyle</item>
        <item name="buttonBarPositiveButtonStyle">@style/PositiveButtonStyle</item>
        <item name="colorPrimaryDark">@color/blue</item>
        <item name="colorAccent">@color/blue</item>
    </style>

    <style name="MaterialCalendarTheme" parent="ThemeOverlay.MaterialComponents.MaterialCalendar">
        <!-- just override the colors used in the default style -->
        <item name="colorOnPrimary">@color/white</item>
        <item name="colorPrimary">@color/blue</item>
    </style>

    <style name="NegativeButtonStyle" parent="Widget.MaterialComponents.Button.TextButton.Dialog">
        <item name="android:textColor">@color/blue</item>
    </style>

    <style name="PositiveButtonStyle" parent="Widget.MaterialComponents.Button.TextButton.Dialog">
        <item name="android:textColor">@color/blue</item>
    </style>

</resources>
